﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=8
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private btnCoor As Button
	Private lblLat As Label
	Private lblLong As Label
	
	Private FLPI2 As FusedLocationProvider
	Private PosicionI2 As Location
	
	Private iLat,iLong As Double
	Private LocPrec As Boolean
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("lyIni")
	LocPrec=True		'Booleano indica si está la Localización de precision. Por defecto se supone activada
End Sub

Sub Activity_Resume
	FLPI2.Initialize("FLPI2")
	FLPI2.Connect
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub


Sub btnCoor_Click
	
End Sub
Sub PonerLatLong
	Dim TCorLong As String
	
	lblLat.Text="Lat: " & NumberFormat2(iLat,2,2,2,False)
	lblLong.Text="Long: " & NumberFormat2(iLong,2,2,2,False)
	
	
	
End Sub
Sub FLPI2_ConnectionSuccess
	
	Dim LocationRequest1 As LocationRequest
	LocationRequest1.Initialize
	
	If LocPrec=True Then
		LocationRequest1.SetInterval(1000)	'	1000 milliseconds
		LocationRequest1.SetPriority(LocationRequest1.Priority.PRIORITY_HIGH_ACCURACY)
		LocationRequest1.SetSmallestDisplacement(0)	'	1 meter
		LocationRequest1.SetExpirationDuration(60*1000)
	else if LocPrec=False Then
		LocationRequest1.SetInterval(1000)	'	1000 milliseconds
		LocationRequest1.SetPriority(LocationRequest1.Priority.PRIORITY_NO_POWER)
		LocationRequest1.SetSmallestDisplacement(0)	'	1 meter
		LocationRequest1.SetExpirationDuration(60*1000)
	End If
	
	Dim LocationSettingsRequestBuilder1 As LocationSettingsRequestBuilder
	LocationSettingsRequestBuilder1.Initialize
	LocationSettingsRequestBuilder1.AddLocationRequest(LocationRequest1)
	FLPI2.CheckLocationSettings(LocationSettingsRequestBuilder1.Build)
	
'	Conectando
	FLPI2.RequestLocationUpdates(LocationRequest1)
End Sub
Sub FLPI2_LocationChanged(Location1 As Location)
'	Log("FLP1_LocationChanged")
	PosicionI2=Location1
	
	ProgressDialogHide
	
	iLat=NumberFormat(PosicionI2.Latitude, 0, 4)
	iLong=NumberFormat(PosicionI2.Longitude, 0, 4)
	
	
	FLPI2.Disconnect
	
	PonerLatLong
	
End Sub
Sub FLPI2_LocationSettingsChecked(LocationSettingsResult1 As LocationSettingsResult)
	Log("FusedLocationProvider1_LocationSettingsChecked")
	Dim LocationSettingsStatus1 As LocationSettingsStatus=LocationSettingsResult1.GetLocationSettingsStatus
	Select LocationSettingsStatus1.GetStatusCode
		Case LocationSettingsStatus1.StatusCodes.RESOLUTION_REQUIRED
			Log("RESOLUTION_REQUIRED")
			
			LocPrec=False
			'			'	device settings do not meet the location request requirements
			'			'	a resolution dialog is available to enable the user to change the settings
			LocationSettingsStatus1.StartResolutionDialog("LocationSettingsResult1")
		Case LocationSettingsStatus1.StatusCodes.SETTINGS_CHANGE_UNAVAILABLE
			Log("SETTINGS_CHANGE_UNAVAILABLE")
			
			'	device settings do not meet the location request requirements
			'	a resolution dialog is not available to enable the user to change the settings
			
			
			
		Case LocationSettingsStatus1.StatusCodes.SUCCESS
			Log("SUCCESS")
			
			'	device settings meet the location request requirements
			'	no further action required
	End Select
End Sub
Sub LocationSettingsResult1_ResolutionDialogDismissed(LocationSettingsUpdated As Boolean)
	Log("LocationSettingsResult1_ResolutionDialogDismissed")
'	If Not(LocationSettingsUpdated) Then
'		'	the user failed to update the device settings to meet the location request requirements
'		
'		Informacion
'		
'	End If
End Sub